/* global module, require */
module.exports = function(grunt) {

    require('matchdep').filterDev('grunt-*').forEach(grunt.loadNpmTasks);

    grunt.initConfig({
        sass: {
            dist: {
                options: {
                    trace: true,
                    style: 'compact'
                },
                files: {
                    'demos/demo.css': 'demos/demo.scss'
                }
            }
        },
        watch: {
            sass: {
                options: {
                    // Monitor Sass files for changes and compile them, but don't reload the browser.
                    livereload: false
                },
                files: '**/*.scss',
                tasks: ['sass'],
            },
            css: {
                // LiveReload on the CSS files instead of their Sass source files and you get
                // the style to refresh without reloading the page in the browser.
                files: '**/*.css'
            },
            options: {
                livereload: true
            }
        }
    });
};